package com.ruoyi.model.service;

import java.util.Date;
import java.util.List;
import com.ruoyi.model.domain.AppletOutDate;

/**
 * 不接单日期Service接口
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public interface IAppletOutDateService 
{
    /**
     * 查询不接单日期
     * 
     * @param date 不接单日期主键
     * @return 不接单日期
     */
    public AppletOutDate selectAppletOutDateByDate(Date date);

    /**
     * 查询不接单日期列表
     * 
     * @param appletOutDate 不接单日期
     * @return 不接单日期集合
     */
    public List<AppletOutDate> selectAppletOutDateList(AppletOutDate appletOutDate);

    /**
     * 新增不接单日期
     * 
     * @param appletOutDate 不接单日期
     * @return 结果
     */
    public int insertAppletOutDate(AppletOutDate appletOutDate);

    /**
     * 修改不接单日期
     * 
     * @param appletOutDate 不接单日期
     * @return 结果
     */
    public int updateAppletOutDate(AppletOutDate appletOutDate);

    /**
     * 批量删除不接单日期
     * 
     * @param dates 需要删除的不接单日期主键集合
     * @return 结果
     */
    public int deleteAppletOutDateByDates(Date[] dates);

    /**
     * 删除不接单日期信息
     * 
     * @param date 不接单日期主键
     * @return 结果
     */
    public int deleteAppletOutDateByDate(Date date);
}
