package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户基本考核答案对象 applet_answer_base
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public class AppletAnswerBase extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 关联题目ID */
    @Excel(name = "关联题目ID")
    private Long questionId;

    /** 关联答案ID */
    @Excel(name = "关联答案ID")
    private Long answerId;

    /** 关联用户ID */
    @Excel(name = "关联用户ID")
    private Long userId;

    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }
    public void setAnswerId(Long answerId) 
    {
        this.answerId = answerId;
    }

    public Long getAnswerId() 
    {
        return answerId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("questionId", getQuestionId())
            .append("answerId", getAnswerId())
            .append("userId", getUserId())
            .toString();
    }
}
