package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户评价对象 applet_comment
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public class AppletComment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 评价内容 */
    @Excel(name = "评价内容")
    private String comment;

    /** 满意度 */
    @Excel(name = "满意度")
    private Long satisfaction;

    /** 关联评价人员ID */
    @Excel(name = "关联评价人员ID")
    private Long user1Id;

    /** 关联服务人员ID */
    @Excel(name = "关联服务人员ID")
    private Long user2Id;

    public void setComment(String comment) 
    {
        this.comment = comment;
    }

    public String getComment() 
    {
        return comment;
    }
    public void setSatisfaction(Long satisfaction) 
    {
        this.satisfaction = satisfaction;
    }

    public Long getSatisfaction() 
    {
        return satisfaction;
    }
    public void setUser1Id(Long user1Id) 
    {
        this.user1Id = user1Id;
    }

    public Long getUser1Id() 
    {
        return user1Id;
    }
    public void setUser2Id(Long user2Id) 
    {
        this.user2Id = user2Id;
    }

    public Long getUser2Id() 
    {
        return user2Id;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("comment", getComment())
            .append("satisfaction", getSatisfaction())
            .append("user1Id", getUser1Id())
            .append("user2Id", getUser2Id())
            .toString();
    }
}
