package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考核题库对象 applet_question
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public class AppletQuestion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 题目标题 */
    @Excel(name = "题目标题")
    private String title;

    /** 题目类型 */
    @Excel(name = "题目类型")
    private String type;

    /** 排序编号 */
    @Excel(name = "排序编号")
    private Long orderNo;

    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setOrderNo(Long orderNo) 
    {
        this.orderNo = orderNo;
    }

    public Long getOrderNo() 
    {
        return orderNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("title", getTitle())
            .append("type", getType())
            .append("orderNo", getOrderNo())
            .toString();
    }
}
